Package com.ocient.rest

# Class RestServer

java.lang.Object
com.ocient.rest.RestServer

All Implemented Interfaces:
  `AutoCloseable`

    public class RestServer
    extends Object
    implements AutoCloseable

Entry point for the REST API.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`RestServer​(int port)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `close()` |
`static org.glassfish.jersey.server.ResourceConfig` | `createResourceConfig()` |
`URI` | `getUri()` |
`void` | `start()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RestServer

public RestServer​(int port)

## Method Details

### createResourceConfig

public static org.glassfish.jersey.server.ResourceConfig createResourceConfig()

### getUri

public URI getUri()

### start

public void start() throws IOException

Throws:
  `IOException`

### close

public void close()

Specified by:
  `close` in interface `AutoCloseable`